openshot::AudioDeviceManagerSingleton Class Reference

Singleton wrapper for AudioDeviceManager (to prevent multiple instances). More...

`#include <AudioPlaybackThread.h>`

## Public Member Functions

void | CloseAudioDevice ()
| Close audio device. More...

## Static Public Member Functions

static AudioDeviceManagerSingleton * | Instance (int numChannels)
| Create or get an instance of this singleton (invoke the class with this method) More...

## Public Attributes

AudioDeviceManager | audioDeviceManager
| Public device manager property. More...

## Detailed Description

Singleton wrapper for AudioDeviceManager (to prevent multiple instances).

Definition at line 57 of file AudioPlaybackThread.h.

## Member Function Documentation

## CloseAudioDevice()

void openshot::AudioDeviceManagerSingleton::CloseAudioDevice | ( |  | ) |

Close audio device.

Definition at line 56 of file AudioPlaybackThread.cpp.

## Instance()

AudioDeviceManagerSingleton * openshot::AudioDeviceManagerSingleton::Instance | ( | int | numChannels | ) |

static

Create or get an instance of this singleton (invoke the class with this method)

Definition at line 38 of file AudioPlaybackThread.cpp.

## Member Data Documentation

## audioDeviceManager

AudioDeviceManager openshot::AudioDeviceManagerSingleton::audioDeviceManager

Public device manager property.

Definition at line 70 of file AudioPlaybackThread.h.

The documentation for this class was generated from the following files:

- AudioPlaybackThread.h
- AudioPlaybackThread.cpp